



      SUBROUTINE WIFS12 (NUM1,NUM2)


















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'GRPINC.INC'
      INTEGER       NUM1, NUM2, I







      CALL GVSWIP (NUM1,NUM2)



      DO 10 I=1,MAXSP
         CALL GVSWIP (GRPNTR(1,I),GRPNT2(1,I))
         CALL GVSWIP (GRPNTR(2,I),GRPNT2(2,I))
   10 CONTINUE





      RETURN
      END
      SUBROUTINE WIFS13 (NUM1,NUM3)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'GRPINC.INC'
      INCLUDE       'MAPINC.INC'
      INTEGER       NUM1, NUM3, I, GRPNT3(2,MAXSP)
      EQUIVALENCE   (GRPNT3(1,1),ALLGRD(1))







      CALL GVSWIP (NUM1,NUM3)



      DO 10 I=1,MAXSP
         CALL GVSWIP (GRPNTR(1,I),GRPNT3(1,I))
         CALL GVSWIP (GRPNTR(2,I),GRPNT3(2,I))
   10 CONTINUE





      RETURN
      END
      SUBROUTINE WIFS23 (NUM2,NUM3)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'GRPINC.INC'
      INCLUDE       'MAPINC.INC'
      INTEGER       NUM2, NUM3, I, GRPNT3(2,MAXSP)
      EQUIVALENCE   (GRPNT3(1,1),ALLGRD(1))







      CALL GVSWIP (NUM2,NUM3)



      DO 10 I=1,MAXSP
         CALL GVSWIP (GRPNT2(1,I),GRPNT3(1,I))
         CALL GVSWIP (GRPNT2(2,I),GRPNT3(2,I))
   10 CONTINUE





      RETURN
      END
      SUBROUTINE WIFT12 (NUM1,NUM2)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'GRPINC.INC'
      INTEGER       NUM1, NUM2, I







      NUM2=NUM1



      DO 10 I=1,NUM1
         GRPNT2(1,I)=GRPNTR(1,I)
         GRPNT2(2,I)=GRPNTR(2,I)
   10 CONTINUE





      RETURN
      END
      SUBROUTINE WIFT13 (NUM1,NUM3)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'GRPINC.INC'
      INCLUDE       'MAPINC.INC'
      INTEGER       NUM1, NUM3, I, GRPNT3(2,MAXSP)
      EQUIVALENCE   (GRPNT3(1,1),ALLGRD(1))







      NUM3=NUM1



      DO 10 I=1,NUM1
         GRPNT3(1,I)=GRPNTR(1,I)
         GRPNT3(2,I)=GRPNTR(2,I)
   10 CONTINUE





      RETURN
      END
      SUBROUTINE WIFT21 (NUM2,NUM1)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'GRPINC.INC'
      INTEGER       NUM1, NUM2, I







      NUM1=NUM2



      DO 10 I=1,NUM2
         GRPNTR(1,I)=GRPNT2(1,I)
         GRPNTR(2,I)=GRPNT2(2,I)
   10 CONTINUE





      RETURN
      END
      SUBROUTINE WIFT23 (NUM2,NUM3)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'GRPINC.INC'
      INCLUDE       'MAPINC.INC'
      INTEGER       NUM2, NUM3,I, GRPNT3(2,MAXSP)
      EQUIVALENCE   (GRPNT3(1,1),ALLGRD(1))







      NUM3=NUM2



      DO 10 I=1,NUM2
         GRPNT3(1,I)=GRPNT2(1,I)
         GRPNT3(2,I)=GRPNT2(2,I)
   10 CONTINUE





      RETURN
      END
      SUBROUTINE WIFT31 (NUM3,NUM1)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'GRPINC.INC'
      INCLUDE       'MAPINC.INC'
      INTEGER       NUM1, NUM3, I, GRPNT3(2,MAXSP)
      EQUIVALENCE   (GRPNT3(1,1),ALLGRD(1))







      NUM1=NUM3



      DO 10 I=1,NUM3
         GRPNTR(1,I)=GRPNT3(1,I)
         GRPNTR(2,I)=GRPNT3(2,I)
   10 CONTINUE





      RETURN
      END
      SUBROUTINE WIFT32 (NUM3,NUM2)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'GRPINC.INC'
      INCLUDE       'MAPINC.INC'
      INTEGER       NUM2, NUM3, I, GRPNT3(2,MAXSP)
      EQUIVALENCE   (GRPNT3(1,1),ALLGRD(1))







      NUM2=NUM3



      DO 10 I=1,NUM3
         GRPNT2(1,I)=GRPNT3(1,I)
         GRPNT2(2,I)=GRPNT3(2,I)
   10 CONTINUE





      RETURN
      END
